zabbix configure errors under ubuntu 9.10

Posted by David Marsh on Tue 08 December 2009

./configure --enable-server --enable-agent --with-mysql --with-net-snmp --with-libcurl

Here's some errors I had while compiling Zabbix on Ubuntu 9.10 and how to fix them:

mysql

Flag: --with-mysql Error: configure: error: MySQL library not found Fix: sudo apt-get install libmysqlclient-dev

jabber

Flag: --with-jabber Error: checking for IKSEMEL... configure: error: Jabber library not found Fix: sudo apt-get install libiksemel-dev

libcurl

Flag: --with-libcurl Error: configure: error: Curl library not found Fix: sudo apt-get install libcurl4-openssl-dev

snmp

Flag: --with-net-snmp Error: configure: error: Not found NET-SNMP library Fix: sudo apt-get install libsnmp-dev

openipmi

Flag: --with-openipmi Error: configure: error: Invalid OPENIPMI directory - unable to find ipmiif.h Fix: sudo apt-get install libopenipmi-dev 1

tags: it, linux, ubuntu, zabbix